using System;

namespace ReflectionIT.Common.Windows.Forms
{
	/// <summary>
	/// DualListActionCancelEventArgs used to Cancel or Change a DualList BeforeAction event
	/// </summary>
	public class DualListActionCancelEventArgs : System.ComponentModel.CancelEventArgs
	{
		protected int _fromIndex;

		public DualListActionCancelEventArgs(int index) : base() {
			_fromIndex = index;
		}

		/// <summary>
		/// Returns the index of the Item 
		/// </summary>
		public int Index {
			get { return _fromIndex; }
		}
	}
}
