using System;

namespace ReflectionIT.Common.Windows.Forms
{
	/// <summary>
	/// DualListActionEventArgs used for a DualList AfterAction event
	/// </summary>
	public class DualListActionEventArgs : System.EventArgs
	{
		protected int _fromIndex;
		protected int _toIndex;

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="action">Action which triggert this move or copy</param>
		/// <param name="fromIndex">Index of the moved/copied item in the ListBoxFrom.Items</param>
		/// <param name="toIndex">Index of the moved/copied item in the ListBoxTo.Items</param>
		public DualListActionEventArgs(int fromIndex, int toIndex) {
			_fromIndex = FromIndex;
			_toIndex = toIndex;
		}

		/// <summary>
		/// Index of the moved/copied item in the ListBoxFrom.Items
		/// </summary>
		public int FromIndex
		{
			get { return _fromIndex; }
		}

		/// <summary>
		/// Index of the moved/copied item in the ListBoxTo.Items
		/// </summary>
		/// <remarks>When the ListBoTo is Sorted it will always be -1</remarks>
		public int ToIndex {
			get { return _toIndex; }
		}

	}
}
